Cancellation

Cancellation API allows you to cancel the shipment in the carrier partner's system

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Response

{
    "meta": {
        "message": "SUCCESS",
        "success": true,
        "status": 200
    }
}
{
    "meta": {
        "message": "ORDER ALREADY CANCELLED",
        "success": true,
        "status": 600
    }
}
{
    "meta": {
        "message": "Invalid Waybill/ Waybill cannot be cancelled",
        "success": false,
        "status": 350
    }
}
{
    "meta": {
        "status": 351,
        "message": "Clickpost Account: Does not exist",
        "success": false
    }
}

Response

meta [meta parameters]

Field NameData TypeDescription
successBooleanIndicates the success of the API request
messageStringSUCCESS in case request was successfully processed by Clickpost, else returns error message.
statusHTTP CodeThe HTTP response status code of the API request
Query Params
string
required
Defaults to <username>

The username of the Clickpost dashboard

string
required
Defaults to <api_key>

API key given to enterprise by the Clickpost team

string
required
Defaults to <awb_number>

Air Waybill of the order

int32
required
Defaults to null

Carrier Partner ID of the carrier

string
required
Defaults to <account_code>

Courier partner account name configured on the Clickpost dashboard

boolean
Defaults to false

If the value of this field is "True" then Clickpost will update the tracking status of AWB to "Cancelled" manually once a successful response is received from the courier partner.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json